PDA

Visualizza versione completa : Applicativi ripristinare componete aggiuntivo firefox non compatibile



danystreet
22-01-10, 17: 52
ciao raga avrei una richiesta tecnica

ho erroneamete resettato le impostazioni di ff cancellado alcuni componeti aggiuntivi fra i quali un certo google web acelleretor considerato da firefox non compatibile
che pero risulta essere installato
ma dalla scheda componeti aggiuntivi me lo seganla con un punto esclamativo rosso e non mi fa fare alcuna operazione su di esso" ne attiva ne disinstalla e neanche opzioni"


per far si che ff me lo installasse avevo creato una stringa in about:config di ff
facendo in modo che accettasse comunque i componenti aggiuntivi non compatibili


ora vorrei ripristinarlo ma non so conesattezza quel siano le chiavi che lo bloccano
sapreste darmi una mano???:bai:bai:bai



EDIT: ho ovviato al problema ripristinando le impostazioni di ff dal suo profile.ini
ho di nuovo il mio componente anche se dalla scheda componeti agiunti di ff risulta comunque disattivato baa... comunque se per caso qualcuno conoscesse le chiavi che blocano i componeti agiuntivi di ff me lo farebbe sapere ''' ciauuuuuuuuuuzzzzzzzzzz

ganzo123
22-01-10, 19: 16
Ciao danystreet!
Se ricordo bene, per alcuni componenti aggiuntivi potresti aprire il file xpi come archivio (quindi con il software del caso come winzip, winrar, 7zip,...), aprire il file "install.rdf" e modificare il valore del tag "maxversion" mettendo il valore della tua versione.

In alternativa potresti andare in about:config e creare un nuovo valore booleano dal nome "extensions.checkCompatibility" a cui darai il valore "false".

Non sono sicuro che funzioni dato che non ho mai provato, ma se vuoi puoi tentare :eye

EDIT:
Link (http://kb.mozillazine.org/Updating_extensions) :eye

:bai

danystreet
22-01-10, 20: 41
ciao ganzo
è guarda quella è la striga che andai a comporre ai tempi dopo quella per installare il copmponete aggiuntivo non comaptibile

solo che al primo aggiornameto firefox rifà il cotrolo ugualmete
e da allora ne avra fatti na decina di aggiornamenti ff

praticamete ora come ora mi interesserebbe trovare le chiavi che bloccano tale applicazioni
perche lui funziona regolarmete ed ho anche la mia bella iconcina
solo che dalla scheda componenti aggiuntivi questa estenzione rimane bloccata!!!!
non lo posso disinstallere o usare le sue opzioni

pur avendo creato quella sorta di scappatoia che consigli tu...

è come se ad ogni aggiornameto ff creasse qualche nuovo blocco
visto che in quel mometo fa in automatico il controllo delle estesioni compatibili
pur avedo disabilitato quella opzioni di norma!!!!



ora non posso nemmeno disitstallare quel componete e reinstallarlo per fregarte ff
porca vacca:bgg2:bgg2:bgg2a
vorrei sapere queli sono quelle dannate chiavi che bloccano google acceleretor...


ti faccio uno screen http://img34.imageshack.us/img34/9038/immaginels.png


a n'altra cosa il file che dici tu nella cartella
C:\Documents and Settings\acount utente\Dati applicazioni\Mozilla\Firefox\Profiles\lqlknp3h.def ault\extensions

nun ce sta ci sono solo quelli compatibili
dove lo dovrei andare a prendere tale file?


comunque grazie per l'interssamento:bai:bai:bai

cuzzorent
22-01-10, 21: 23
ciao
hai già guardato quà?
http://support.mozilla.com/it/kb/Impossibile+disinstallare+un+componente+aggiuntivo ?s=disinstallare+java+quick+starter

gnao dal cuzzorent

danystreet
23-01-10, 14: 01
no non vi avevo guardato......

però ineffetti non è propiamete quello che voglio fare perche ho paura che se lo disinstallo poi ff non me lo faccia piu reinstallare.......

a me intereserebbe propio sapere quali siano le chiavi in "about:config" che lo bloccano

comunque grazie ciaauuuuuuuuuuzzzzzzzzzzzzzzzz:bai:bai:bai

danystreet
25-01-10, 11: 40
ciao ragazi
ho cercato di approfondire la problematica ma non sono ancora riuscito a risolverla....

fatto l'aggiornameto alla relase 3.6 firefox ha automaticamte bloccato nuovamte quel componete aggiuntivo
ed io mi ritrovo punto e a capo con l'impossiblita di risolvere però stavolata!!

allora leggendo questo articolo
http://support.mozilla.com/it/kb/Blocco+dei+componenti+aggiuntivi+pericolosi

ho trovato le impostazioni dei blocchi di firefox allego il file " blocklist.rar "
dal quale pero non sono riuscito a individuare la riga di comando che blocca google web accellerator
e qui chiederei a qualche esperto se riescissee ad individuarla per me!!!

oltre a questo ho notato dalla pagina "Informazioni per la risoluzione dei problemi" di fire fox questa :
http://img41.imageshack.us/img41/7817/googlewebaccfalse.png

che vi è impostato il valore false sul componete in questione

quando andando invece in about:config di firefox risulta essere true
http://img69.imageshack.us/img69/2050/googlewebacctrue.png


inoltre ho provato ad aprire il file exstension.ini dalla cartella C:\Documents and Settings\account utente\Dati applicazioni\Mozilla\Firefox\Profiles\lqlknp3h.def ault
per verificare se ci fosse stato o meno il puntameto al componete aggiunttivo
ed anche qui non vi era...

quando invece (fortuna vuole avevo un bakup di quella cartella molto precedente) normalmete vi dovrebbe essere

vi allego i due file (vecchio e nuovo) così giusto per vedere se ce qualcuno che ne capisce + di quanto ne capisco io che mi sappia spiegare come riattivarlo:bgg2:bgg2:bgg2


la cartella del componete aggiuntivo google web accelerator sembra essere integra l'ho verificata comparandola con quella del bakup che ho
inoltro ho anche provato ad aviare l'instal del programma ed eseguire la riparazione del medesimo
quindi escludo che il problema risieda nel programma!!


voglio assolutamete sapere cosè che lo blocca:bgg2:bgg2:bgg2 porcaccia la miseriaccia:triste:cry3:triste

mi aguro che ci sia fra di noi qualcuno che lo sappia :bai:bai:bai

ganzo123
25-01-10, 15: 42
Ciao danystreet!
Sinceramente non saprei come aiutarti per usare quell'estensione, però ho qualche riflessione da proporti.

Quell'applicazione è stata dismessa da google nel lontano 2005 e non è mai uscita dalla fase di sviluppo. I motivi ufficiali di questa scelta non li conosco perchè non ho seguito il caso, però pare che questa estensione non desse poi tutta questa velocità in più e introduceva seri rischi per la privacy e per la sicurezza.
Alcuni link:
Link1 (http://www.betanews.com/article/Google-Web-Accelerator-Draws-Concern/1115405686)
Link2 (http://googlesystem.blogspot.com/2009/01/google-web-accelerator-discontinued.html)
Link3 (http://softwarefreeandopensource.blogspot.com/2009/03/google-web-accelerator-servizio-web.html)

A questo punto io mi chiedo, vale la pena "incapponirsi" su un software dismesso da tempo, di dubbia utilità che può offrire qualche rischio per la navigazione?
Hai provato questa estensione (https://addons.mozilla.org/it/firefox/addon/59745) che invece è continuamente sviluppata?

Vedendo la lista delle tue estensioni io disinstallerei anche il Microsoft .NET Framework Assistant. Alcuni link:
Link1 (https://addons.mozilla.org/it/firefox/addon/9449)
Link2 (http://en.wikipedia.org/wiki/ClickOnce)

:bai

danystreet
25-01-10, 18: 31
ciao ganzo si ineffetti non sei l'unico ad avermi fatto questa rifelssione
ho chiesto supporto anche sul forum mozzila è mi han detto le medesime cose

ma io tengo particolarmete a tale applicazione lo sempre avuta fin da quando ho cominciato ad usare firefox
ed intendo tenerla

grazie comunque per l'interssameto:bai:bai:bai

danystreet
26-01-10, 20: 54
ok ragazzi problema risolto grazie a un tool consigliatomi sul sito mozzila per forzare l'attivazione dei componeti aggiuntivi non compatibili di ff
se a qualcuno interssa qui http://forum.mozillaitalia.org/index.php?topic=43341.0
vi è detto come fare

certo però che non sono riuscito a togliermi la curiosita di capire quale fosse la chiave che bloccava il componete in about:config poco male và :bai:bai:bai